If you install 1.6 from scratch, xmp.rb doesn't work, as it tries to
require 'irb/irb', but there is no such file.

In fact, irb.rb is in samples/. If you manually copy this file to
lib/ruby/1.6/irb, everything works fine.


Regards


Dave